Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit/Makefile.deps	(revision 142)
@@ -11,27 +11,31 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 #-----[ Directory ]----------------------------------------
 
-Execution_unit_to_Write_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit
+Execution_unit_to_Write_unit_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit
 
 #-----[ Library ]------------------------------------------
+
 Execution_unit_to_Write_unit_LIBRARY		= 	-lExecution_unit_to_Write_unit	\
-					$(Behavioural_LIBRARY)	
-
-Execution_unit_to_Write_unit_DIR_LIBRARY		=	-L$(Execution_unit_to_Write_unit_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Execution_unit_to_Write_unit_library		:
-				@\
-				$(MAKE) --directory=$(Behavioural_DIR) --makefile=Makefile;
-				$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile;
+Execution_unit_to_Write_unit_library_only	:
+						@\
+						$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile;
 
-Execution_unit_to_Write_unit_library_clean	:
-				@\
-				$(MAKE) --directory=$(Behavioural_DIR) --makefile=Makefile clean;
-				$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile clean;
+Execution_unit_to_Write_unit_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile clean;
+
+Execution_unit_to_Write_unit_library		: Execution_unit_to_Write_unit_library_only
+						@\
+						$(MAKE) Behavioural_library;
+
+Execution_unit_to_Write_unit_library_clean	: Execution_unit_to_Write_unit_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/Makefile.deps	(revision 142)
@@ -19,19 +19,23 @@
 
 #-----[ Library ]------------------------------------------
+
 Read_unit_to_Execution_unit_LIBRARY		= 	-lRead_unit_to_Execution_unit	\
 							$(Behavioural_LIBRARY)	
 
-Read_unit_to_Execution_unit_DIR_LIBRARY		=	-L$(Read_unit_to_Execution_unit_DIR)/lib	\
-							$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Read_unit_to_Execution_unit_library		:
+Read_unit_to_Execution_unit_library_only	:
+						@\
+						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile;
+
+Read_unit_to_Execution_unit_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile clean;
+
+Read_unit_to_Execution_unit_library		: Read_unit_to_Execution_unit_library_only
 						@\
 						$(MAKE) Behavioural_library;
-						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile;
 
-Read_unit_to_Execution_unit_library_clean	:
+Read_unit_to_Execution_unit_library_clean	: Read_unit_to_Execution_unit_library_clean_only
 						@\
 						$(MAKE) Behavioural_library_clean;
-						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Makefile.deps	(revision 142)
@@ -2,5 +2,5 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
@@ -9,5 +9,4 @@
 
 Register_unit			= yes
-
 
 ifndef RegisterFile
@@ -21,5 +20,6 @@
 endif
 
-#-----[ Library ]------------------------------------------
+#-----[ Library ]------------------------------------------
+
 Register_unit_LIBRARY		= 	-lRegister_unit				\
 					$(RegisterFile_LIBRARY)			\
@@ -27,26 +27,23 @@
 					$(Behavioural_LIBRARY)	
 
-Register_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/lib	\
-					$(RegisterFile_DIR_LIBRARY)		\
-					$(Register_unit_Glue_DIR_LIBRARY)	\
-					$(Behavioural_DIR_LIBRARY)
+#-----[ Rules ]--------------------------------------------
 
-Register_unit_DEPENDENCIES	=	RegisterFile_library			\
-					Register_unit_Glue_library 		\
-					Behavioural_library
-
-Register_unit_CLEAN        	=	RegisterFile_library_clean		\
-					Register_unit_Glue_library_clean 	\
-					Behavioural_library_clean
-
-#-----[ Rules ]--------------------------------------------
-
-.NOTPARALLEL			: Register_unit_library Register_unit_library_clean	
-
-Register_unit_library		: $(Register_unit_DEPENDENCIES)
+Register_unit_library_only	:
 				@\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit --makefile=Makefile;
 
-Register_unit_library_clean	: $(Register_unit_CLEAN)
+Register_unit_library_clean_only:
 				@\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit --makefile=Makefile clean;
+
+Register_unit_library		: Register_unit_library_only
+				@\
+				$(MAKE) RegisterFile_library;		\
+				$(MAKE) Register_unit_Glue_library; 	\
+				$(MAKE) Behavioural_library;
+
+Register_unit_library_clean	: Register_unit_library_clean_only
+				@\
+				$(MAKE) RegisterFile_library_clean;		\
+				$(MAKE) Register_unit_Glue_library_clean; 	\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/Makefile.deps	(revision 142)
@@ -11,23 +11,27 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 #-----[ Library ]------------------------------------------
+
 Register_unit_Glue_LIBRARY		= 	-lRegister_unit_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Register_unit_Glue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Register_unit_Glue_library		: 
-				@\
-				$(MAKE) Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile;
+Register_unit_Glue_library_only		: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile;
 	
-Register_unit_Glue_library_clean	: 
-				@\
-				$(MAKE) Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile clean;
+Register_unit_Glue_library_clean_only	: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile clean;
+
+Register_unit_Glue_library		: Register_unit_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+	
+Register_unit_Glue_library_clean	: Register_unit_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Context_State/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Context_State/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Context_State/Makefile.deps	(revision 142)
@@ -23,16 +23,19 @@
 					$(Behavioural_LIBRARY)	
 
-Context_State_DIR_LIBRARY	=	-L$(Context_State_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Context_State_library		:
+Context_State_library_only	:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Context_State_DIR) --makefile=Makefile;
 
-Context_State_library_clean	:
+Context_State_library_clean_only:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Context_State_DIR) --makefile=Makefile clean;
+
+Context_State_library		: Context_State_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Context_State_library_clean	: Context_State_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Instruction/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Instruction/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Instruction/Makefile.deps	(revision 142)
@@ -10,4 +10,8 @@
 Instruction			= yes
 
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
+
 #-----[ Directory ]----------------------------------------
 
@@ -16,16 +20,24 @@
 #-----[ Library ]------------------------------------------
 
-Instruction_LIBRARY		= 	-lInstruction
-
-Instruction_DIR_LIBRARY		=	-L$(Instruction_DIR)/lib
+Instruction_LIBRARY		= 	-lInstruction \
+					$(Behavioural_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Instruction_library		:
+Instruction_library_only	:
 				@\
 				$(MAKE) --directory=$(Instruction_DIR) --makefile=Makefile;
 
-Instruction_library_clean	:
+Instruction_library_clean_only	:
 				@\
 				$(MAKE) --directory=$(Instruction_DIR) --makefile=Makefile clean;
 
+Instruction_library		: Instruction_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Instruction_library_clean	: Instruction_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
+
+
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Makefile.deps	(revision 142)
@@ -8,5 +8,5 @@
 # DIR_MORPHEO must be defined
 
-Decod			= yes
+Decod				= yes
 
 ifndef Behavioural
@@ -31,23 +31,23 @@
 					$(Behavioural_LIBRARY)	
 
-Decod_DIR_LIBRARY		=	-L$(Decod_DIR)/lib		\
-					$(Custom_DIR_LIBRARY)		\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Decod_library			:
+Decod_library_only		:
+				@\
+				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile;
+
+Decod_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile clean;
+
+Decod_library			: Decod_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
 				$(MAKE) Priority_library;		\
-				$(MAKE) Custom_library;			\
-				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile;
+				$(MAKE) Custom_library;
 
-Decod_library_clean	:
+Decod_library_clean		: Decod_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) Priority_library_clean;		\
-				$(MAKE) Custom_library_clean;		\
-				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile clean;
-
+				$(MAKE) Custom_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod_queue/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Decod_queue_DIR_LIBRARY		=	-L$(Decod_queue_DIR)/lib	\
-					$(Queue_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Decod_queue_library		:
+Decod_queue_library_only	:
+				@\
+				$(MAKE) --directory=$(Decod_queue_DIR) --makefile=Makefile;
+
+Decod_queue_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Decod_queue_DIR) --makefile=Makefile clean;
+
+Decod_queue_library		: Decod_queue_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Queue_library;			\
-				$(MAKE) --directory=$(Decod_queue_DIR) --makefile=Makefile;
+				$(MAKE) Queue_library;
 
-Decod_queue_library_clean	:
+Decod_queue_library_clean	: Decod_queue_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Queue_library_clean;		\
-				$(MAKE) --directory=$(Decod_queue_DIR) --makefile=Makefile clean;
+				$(MAKE) Queue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Makefile.deps	(revision 142)
@@ -31,22 +31,23 @@
 					$(Behavioural_LIBRARY)
 
-Decod_unit_DIR_LIBRARY		=	-L$(Decod_unit_DIR)/lib		\
-					$(Decod_DIR_LIBRARY)		\
-					$(Decod_queue_DIR_LIBRARY)	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Decod_unit_library		:
+Decod_unit_library_only		:
+				@\
+				$(MAKE) --directory=$(Decod_unit_DIR) --makefile=Makefile;
+
+Decod_unit_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Decod_unit_DIR) --makefile=Makefile clean;
+
+Decod_unit_library		: Decod_unit_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
 				$(MAKE) Decod_library;			\
-				$(MAKE) Decod_queue_library;		\
-				$(MAKE) --directory=$(Decod_unit_DIR) --makefile=Makefile;
+				$(MAKE) Decod_queue_library;
 
-Decod_unit_library_clean	:
+Decod_unit_library_clean	: Decod_unit_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) Decod_library_clean;		\
-				$(MAKE) Decod_queue_library_clean;	\
-				$(MAKE) --directory=$(Decod_unit_DIR) --makefile=Makefile clean;
+				$(MAKE) Decod_queue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/Makefile.deps	(revision 142)
@@ -8,8 +8,8 @@
 # DIR_MORPHEO must be defined
 
-Front_end_Glue			= yes
+Front_end_Glue				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-Front_end_Glue_LIBRARY		= 	-lFront_end_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Front_end_Glue_DIR_LIBRARY		=	-L$(Front_end_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+Front_end_Glue_LIBRARY			= 	-lFront_end_Glue	\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Front_end_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Front_end_Glue_DIR) --makefile=Makefile;
+Front_end_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Front_end_Glue_DIR) --makefile=Makefile;
 
-Front_end_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Front_end_Glue_DIR) --makefile=Makefile clean;
+Front_end_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Front_end_Glue_DIR) --makefile=Makefile clean;
+
+Front_end_Glue_library			: Front_end_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Front_end_Glue_library_clean		: Front_end_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Address_management_LIBRARY		= 	-lAddress_management	\
-					$(Behavioural_LIBRARY)	
-
-Address_management_DIR_LIBRARY		=	-L$(Address_management_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Address_management_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile;
+Address_management_library_only		:
+					@\
+					$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile;
 
-Address_management_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile clean;
+Address_management_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile clean;
+
+Address_management_library		: Address_management_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Address_management_library_clean	: Address_management_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps	(revision 142)
@@ -16,5 +16,5 @@
 #-----[ Directory ]----------------------------------------
 
-Ifetch_queue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue
+Ifetch_queue_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue
 
 #-----[ Library ]------------------------------------------
@@ -23,16 +23,19 @@
 					$(Behavioural_LIBRARY)	
 
-Ifetch_queue_DIR_LIBRARY		=	-L$(Ifetch_queue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_queue_library		:
+Ifetch_queue_library_only	:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile;
 
-Ifetch_queue_library_clean	:
+Ifetch_queue_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile clean;
+
+Ifetch_queue_library		: Ifetch_queue_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Ifetch_queue_library_clean	: Ifetch_queue_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,22 @@
 
 Ifetch_unit_Glue_LIBRARY		= 	-lIfetch_unit_Glue	\
-					$(Behavioural_LIBRARY)	
+						$(Behavioural_LIBRARY)	
 
-Ifetch_unit_Glue_DIR_LIBRARY		=	-L$(Ifetch_unit_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_unit_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile;
+Ifetch_unit_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile;
 
-Ifetch_unit_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile clean;
+Ifetch_unit_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile clean;
+
+Ifetch_unit_Glue_library		: Ifetch_unit_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Ifetch_unit_Glue_library_clean		: Ifetch_unit_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps	(revision 142)
@@ -35,25 +35,25 @@
 					$(Behavioural_LIBRARY)	
 
-Ifetch_unit_DIR_LIBRARY		=	-L$(Ifetch_unit_DIR)/lib		\
-					$(Address_management_DIR_LIBRARY)	\
-					$(Ifetch_queue_DIR_LIBRARY)		\
-					$(Ifetch_unit_Glue_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_unit_library		:
+Ifetch_unit_library_only	:
 				@\
-				$(MAKE) Behavioural_library;						\
-				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile;	\
-				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile;	\
 				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile;
 
-Ifetch_unit_library_clean	:
+Ifetch_unit_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;						\
-				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile clean;	\
-				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile clean;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile clean;	\
 				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile clean;
+
+Ifetch_unit_library		: Ifetch_unit_library_only
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Address_management_library;	\
+				$(MAKE) Ifetch_queue_library;		\
+				$(MAKE) Ifetch_unit_Glue_library;
+
+Ifetch_unit_library_clean	: Ifetch_unit_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;		\
+				$(MAKE) Address_management_library_clean;	\
+				$(MAKE) Ifetch_queue_library_clean;		\
+				$(MAKE) Ifetch_unit_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Makefile.deps	(revision 142)
@@ -43,15 +43,15 @@
 					$(Behavioural_LIBRARY)	
 
-Front_end_DIR_LIBRARY		=	-L$(Front_end_DIR)/lib          \
-					$(Ifetch_unit_DIR_LIBRARY)      \
-					$(Prediction_unit_DIR_LIBRARY)  \
-					$(Decod_unit_DIR_LIBRARY)       \
-					$(Context_State_DIR_LIBRARY)    \
-					$(Front_end_Glue_DIR_LIBRARY)   \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Front_end_library		:
+Front_end_library_only		:
+				@\
+				$(MAKE) --directory=$(Front_end_DIR) --makefile=Makefile;
+
+Front_end_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Front_end_DIR) --makefile=Makefile clean;
+
+Front_end_library		: Front_end_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
@@ -60,8 +60,7 @@
 				$(MAKE) Decod_unit_library;		\
 				$(MAKE) Context_State_library;		\
-				$(MAKE) Front_end_Glue_library;		\
-				$(MAKE) --directory=$(Front_end_DIR) --makefile=Makefile;
+				$(MAKE) Front_end_Glue_library;
 
-Front_end_library_clean	:
+Front_end_library_clean		: Front_end_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
@@ -70,4 +69,3 @@
 				$(MAKE) Decod_unit_library_clean;	\
 				$(MAKE) Context_State_library_clean;	\
-				$(MAKE) Front_end_Glue_library_clean;	\
-				$(MAKE) --directory=$(Front_end_DIR) --makefile=Makefile clean;
+				$(MAKE) Front_end_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Branch_Target_Buffer_Glue_LIBRARY		= 	-lBranch_Target_Buffer_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Branch_Target_Buffer_Glue_DIR_LIBRARY		=	-L$(Branch_Target_Buffer_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Branch_Target_Buffer_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Branch_Target_Buffer_Glue_DIR) --makefile=Makefile;
+Branch_Target_Buffer_Glue_library_only		:
+						@\
+						$(MAKE) --directory=$(Branch_Target_Buffer_Glue_DIR) --makefile=Makefile;
 
-Branch_Target_Buffer_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Branch_Target_Buffer_Glue_DIR) --makefile=Makefile clean;
+Branch_Target_Buffer_Glue_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Branch_Target_Buffer_Glue_DIR) --makefile=Makefile clean;
+
+Branch_Target_Buffer_Glue_library		: Branch_Target_Buffer_Glue_library_only
+						@\
+						$(MAKE) Behavioural_library;
+
+Branch_Target_Buffer_Glue_library_clean		: Branch_Target_Buffer_Glue_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Register/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Register/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/Branch_Target_Buffer_Register/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -23,16 +23,19 @@
                                                 	$(Behavioural_LIBRARY)	
 
-Branch_Target_Buffer_Register_DIR_LIBRARY	=	-L$(Branch_Target_Buffer_Register_DIR)/lib	\
-                                                	$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Branch_Target_Buffer_Register_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Branch_Target_Buffer_Register_DIR) --makefile=Makefile;
+Branch_Target_Buffer_Register_library_only	:
+						@\
+						$(MAKE) --directory=$(Branch_Target_Buffer_Register_DIR) --makefile=Makefile;
 
-Branch_Target_Buffer_Register_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Branch_Target_Buffer_Register_DIR) --makefile=Makefile clean;
+Branch_Target_Buffer_Register_library_clean_only:
+						@\
+						$(MAKE) --directory=$(Branch_Target_Buffer_Register_DIR) --makefile=Makefile clean;
+
+Branch_Target_Buffer_Register_library		: Branch_Target_Buffer_Register_library_only
+						@\
+						$(MAKE) Behavioural_library;
+
+Branch_Target_Buffer_Register_library_clean	: Branch_Target_Buffer_Register_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
